/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 28/10/2024, 5:36:30 p. m.
    Author     : chris
*/

.logop{
    height: 70px;
}

.Logo-carousel {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding: 0;
    margin-right: 15%;
    margin-bottom: 1rem;
    margin-left: 15%;
}

.Logo-carousel-l {
    position: absolute;
    width: 300px;
    right: 0;
    top: 10%;
    left: 10%;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding: 0;
   margin-top: 1rem;
   
}
.texto-carousel-l{
    BACKGROUND-COLOR: #ff0000;
    COLOR: black;
    padding-left: 10%;
}

.texto-carousel-2{
    BACKGROUND-COLOR: #000000;
    COLOR: #ff0000;
    padding-left: 10%;
}
.texto-carousel-3{
    BACKGROUND-COLOR: #000000;
    COLOR: #ffffff;
    padding-left: 10%;
}

.Logo-carousel-R {
    position: absolute;
    right: 0;
    top: 10%;
    right: 0;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding: 0;
    margin-right: 10%;
    
}

.Logo-carousel-c {
    position: absolute;
    width: 300px;
    right: 0;
    top: 5%;
    right: 0;
    z-index: 2;
    display: flex;
    justify-content: right;
    padding: 0;
    margin-right: 3%;
    margin-bottom: 1rem;
    margin-left: 15%;
}


.hdisp {
    max-height: calc(100vh - 83px) !important; /* Altura de la pantalla menos 50px */
}

.wdisp {
    width: 100vw !important; /* Altura de la pantalla menos 50px */
}


.navbar {
    border-bottom: 3px solid;
    border-image: linear-gradient(to right, #e10a18, #e85c0c);
    border-image-slice: 1;
  }
.growl-top-right {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000; /* Para asegurarte de que esté por encima de otros elementos */
}
.cuerpo{
    height: 97vh !important;
    overflow: scroll !important;
    background-color: #deddff !important;
    background-image: url("#{resource['images/fondoLogin.jpg']}");
    background-size: cover; /* Ajusta la imagen para que se adapte al ancho */
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed; 
}
.posfooter{
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}

.posfooter2{
    position: relative !important;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10 !important;
}

.fondoM{
    background-color: #11c2e4 !important;
    color: #ffffff;

}

.fondoM1{
    background-color: #808080 !important;
    color: #ffffff;

}

.fondoMl{
    background-color: #6779ca !important;
    color: #ffffff;

}

.btn-primary {
    --bs-btn-color: #fff !important;
    --bs-btn-bg: #4454b3 !important;
    --bs-btn-border-color: #4454b3 !important;
    --bs-btn-hover-color: #fff !important;
    --bs-btn-hover-bg: #6779ca !important;
    --bs-btn-hover-border-color: #4454b3 !important;
    --bs-btn-focus-shadow-rgb: 49, 132, 253 !important;
    --bs-btn-active-color: #fff !important;
    --bs-btn-active-bg: #4454b3 !important;
    --bs-btn-active-border-color: #6779ca !important;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff !important;
    --bs-btn-disabled-bg: #eff0f6 !important;
    --bs-btn-disabled-border-color: #eff0f6 !important;
}
.btn-primary {
    background-color: #4454b3;
    color: #ffffff;
}

.btn-primary:hover {
    background-color: #6779ca;
    color: #ffffff;
}
body .ui-button {
    background: #4454b3;
    color: #ffffff;
    border: 1px solid #6779ca;
    margin: 0;
    outline: 0 none;
    border-radius: 4px;
    transition: background-color .2s, color .2s, border-color .2s, box-shadow .2s, opacity .2s;
}
body .ui-button:hover {
    background: #6779ca;
    color: #ffffff;
    border: 1px solid #4454b3;
    margin: 0;
    outline: 0 none;
    border-radius: 4px;
    transition: background-color .2s, color .2s, border-color .2s, box-shadow .2s, opacity .2s;
}

body .ui-inputfield {
    color: #495057;
    background: #fff;
    padding: .5rem .5rem;
    border: 1px solid #ced4da;
    outline: 0 none;
    font-size: 1rem;
    border-radius: 4px;
    transition: background-color .2s, color .2s, border-color .2s, box-shadow .2s, opacity .2s;
    -webkit-appearance: none;
    appearance: none;
    width: 100% !important;
}



.textoOscuro{
    color: #4454b3 !important;;
}
.textoClaro{
    color:#6779ca !important;
}


@media (max-width: 768px) {
    .Logo-carousel-l {
        position: absolute;
        width: 200px;
        right: 0;
        top: 10%;
        left: 8%;
        z-index: 2;
        display: flex;
        justify-content: center;
        padding: 0;
        margin-top: 1rem;
       
    }

    .Logo-carousel-c {
        position: absolute;
        width: 200px;
        right: 0;
        top: 10%;
        right: 0;
        z-index: 2;
        display: flex;
        justify-content: right;
        padding: 0;
        margin-right: 3%;
        margin-bottom: 1rem;
        margin-left: 5%;
    }

    .Logo-carousel-R {
        position: absolute;
        width: 200px;
        top: 5%;
        right: 0;
        z-index: 2;
        display: flex;
        justify-content: center;
        padding: 0;
        margin-right: 5%;
        
    }

    .texto-carousel-l{
        font-size: 14px;
        margin-bottom: 0;
        BACKGROUND-COLOR: #ff0000;
        COLOR: black;
        padding-left: 5%;
    }
    
    .texto-carousel-2{
        font-size: 14px;
        margin-bottom: 0;
        
        padding-left: 5%;
    }
    .texto-carousel-3{
        font-size: 14px;
        margin-bottom: 0;
        
        padding-left: 5%;
    }

    .carousel-caption {
        position: absolute;
        right: 15%;
        bottom: 1.25rem;
        left: 15%;
        padding-top: 1.25rem;
        padding-bottom: 0.5rem;
        color: #fff;
        text-align: center;
    }

    .carousel-indicators {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 2;
        display: flex;
        justify-content: center;
        padding: 0;
        margin-right: 15%;
        margin-bottom: 0.5rem;
        margin-left: 15%;
    }

    .logop{
        height: 50px;
    }
    
    
}

@media (max-width: 576px) {
    .Logo-carousel-l {
        position: absolute;
        width: 130px;
        right: 0;
        top: 10%;
        left: 20%;
        z-index: 2;
        display: flex;
        justify-content: center;
        padding: 0;
        margin-top: 1rem;
       
    }

    .Logo-carousel-c {
        position: absolute;
        width: 120px;
        right: 0;
        top: 10%;
        right: 0;
        z-index: 2;
        display: flex;
        justify-content: right;
        padding: 0;
        margin-right: 3%;
        margin-bottom: 1rem;
        margin-left: 15%;
    }

    .Logo-carousel-R {
        position: absolute;
        width: 120px;
        top: 10%;
        right: 0;
        z-index: 2;
        display: flex;
        justify-content: center;
        padding: 0;
        margin-right: 10%;
        
    }

    
}

@media (max-width: 600px){
    
}

@media screen and (max-height: 500px) {
    .posfooter{
        margin-top: 2em;
        position: relative !important;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 1030;
    }
}